<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <title>fwMagnetSubscription</title>
  <meta http-equiv="Content-Type"
 content="text/html; charset=utf-8">
</head>
<body>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr valign="top">
      <td bgcolor="#00cc00" width="22%"><strong>Panel Name</strong></td>
      <td colspan="2" width="78%">
      <p>fwMagnetSubscription.pnl</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Introduction<br>
      </strong></td>
      <td colspan="2">      This is the main panel of the <strong>fwMCS</strong>        component.
        It subscribes publications availables for a selected experiment 
        and generates the necessary data in PVSS.</td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Instructions</strong></td>
      <td colspan="2"><p>The header of the panel contains two selection boxes:</p>      
		  <ul>
		    <li>One 
          for selecting the DIP API manager config DP</li>
            <li>And another one for selecting the experiment.</li>
        </ul>
          <p>After selecting these options the table with the available DIP publications
            is filled, and also the publication content panel with the details
            for the first publication showed in the table.</p>
          <p>It is possible to subscribe a publication if one of them from the
            table is selected and the button &quot;Add Subscription&quot; is clicked.</p>
          <p>If it is the first time that is made a subscription for an experiment,
            a Device Unit Type is created for the FSM. The states of this DU
            Type are: ON, OFF, RAMPING_UP, RAMPING_DOWN and ERROR.</p>
          <p>It is also possible to delete a subscription. It is necessary to
            select a subscription from the table with the DIP Subscriptions and
            then click over the button &quot;Delete Subscription&quot;.</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Restrictions</strong></td>
      <td colspan="2">
<ul>
		    <li>To see the publications and make a subscription, the
          DIP manager has to be running.</li>
            <li>To create the DU Type is necessary that the publication
        contain a tag for the current value and another for the ramping.</li>
        </ul>
		</td>
    </tr>
  </tbody>
</table>
<p align="center"><img src="fwMagnetSubscription.jpg"><a name="fig1"></a></p>
<table border="1" width="95%">
  <tbody>
    <tr bgcolor="#00cc00">
      <td colspan="3"><strong>Dollar Parameters</strong></td>
    </tr>
    <tr bgcolor="#00cc00">
      <td width="23%"><strong>Name</strong></td>
      <td width="62%"><strong>Description</strong></td>
      <td width="15%">&nbsp;</td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<div align="center">
  <center>
<table border="0" style="border-collapse: collapse" bordercolor="#111111" cellpadding="0" cellspacing="0">
  <tbody>
    <tr>
      <td width="0" height="0">        <div align="center"><BR>
          </div>
      </td>
    </tr>
  </tbody>
</table>
  </center>
</div>
<p>&nbsp;</p>
<p>&nbsp;</p>
<br>
</body>
</html>